package com.ruoyi.dxp.dto;

import java.io.Serializable;

/**
 * 首页统计对象
 */
public class IndexStaticsDto implements Serializable {
    private static final long serialVersionUID = 1L;

    // 接入表数
    private Integer accessTableCount;

    // 共享表数
    private Integer shareTableCount;

    // 接入数据项数
    private Integer accessDataItemCount;

    // 共享数据项数
    private Integer shareDataItemCount;

    // 接入服务数
    private Integer accessServiceCount;

    // 共享服务数
    private Integer shareServiceCount;

    // 接入数据数
    private Integer accessDataCount;

    // 共享数据数
    private Integer shareDataCount;

    // 文献数
    private Integer literatureCount;

    // 企业用户数
    private Integer companyCount;

    // 内部用户数
    private Integer userCount;

    // 接入应用数
    private Integer appCount;

    public Integer getAccessTableCount() {
        return accessTableCount;
    }

    public void setAccessTableCount(Integer accessTableCount) {
        this.accessTableCount = accessTableCount;
    }

    public Integer getShareTableCount() {
        return shareTableCount;
    }

    public void setShareTableCount(Integer shareTableCount) {
        this.shareTableCount = shareTableCount;
    }

    public Integer getAccessDataItemCount() {
        return accessDataItemCount;
    }

    public void setAccessDataItemCount(Integer accessDataItemCount) {
        this.accessDataItemCount = accessDataItemCount;
    }

    public Integer getShareDataItemCount() {
        return shareDataItemCount;
    }

    public void setShareDataItemCount(Integer shareDataItemCount) {
        this.shareDataItemCount = shareDataItemCount;
    }

    public Integer getAccessServiceCount() {
        return accessServiceCount;
    }

    public void setAccessServiceCount(Integer accessServiceCount) {
        this.accessServiceCount = accessServiceCount;
    }

    public Integer getShareServiceCount() {
        return shareServiceCount;
    }

    public void setShareServiceCount(Integer shareServiceCount) {
        this.shareServiceCount = shareServiceCount;
    }

    public Integer getAccessDataCount() {
        return accessDataCount;
    }

    public void setAccessDataCount(Integer accessDataCount) {
        this.accessDataCount = accessDataCount;
    }

    public Integer getShareDataCount() {
        return shareDataCount;
    }

    public void setShareDataCount(Integer shareDataCount) {
        this.shareDataCount = shareDataCount;
    }

    public Integer getLiteratureCount() {
        return literatureCount;
    }

    public void setLiteratureCount(Integer literatureCount) {
        this.literatureCount = literatureCount;
    }

    public Integer getCompanyCount() {
        return companyCount;
    }

    public void setCompanyCount(Integer companyCount) {
        this.companyCount = companyCount;
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }

    public Integer getAppCount() {
        return appCount;
    }

    public void setAppCount(Integer appCount) {
        this.appCount = appCount;
    }
}
